USE COWS
GO

DECLARE @t TABLE 
	(	EventID INT,
		PHN_NBR VARCHAR(50),
		PHN_NBRR VARCHAR(50),
		PHN_NBRC VARCHAR(50),
		PHN_NBRU VARCHAR(50) 
	)
INSERT INTO @t	(EventID,PHN_NBR)
Select mds.EVENT_ID,mngd.PHN_NBR
	From	dbo.MDS_EVENT_NEW mds 	WITH (NOLOCK) 
INNER JOIN 	dbo.MDS_MNGD_ACT_NEW mngd WITH (NOLOCK) ON mds.EVENT_ID = mngd.EVENT_ID
	WHERE	(
				ISNUMERIC(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(PHN_NBR,'-',''),'+',''),'(',''),')',''),'.',''),' ',''),'')) = 1
			)
		AND mds.EVENT_STUS_ID NOT IN (6,8)
		--AND mds.EVENT_ID = 49748
		
--Select * From @t		

UPDATE @t
	SET PHN_NBRR = REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(PHN_NBR,'-',''),'+',''),'(',''),')',''),'.',''),' ','')
		


UPDATE @t
	SET		PHN_NBRC = RIGHT(SUBSTRING(PHN_NBRR,1,LEN(PHN_NBRR) - LEN(RIGHT(PHN_NBRR,10))),5)
			,PHN_NBRU = RIGHT(PHN_NBRR,10)
	WHERE	ISNUMERIC(ISNULL(PHN_NBRR,'')) = 1
	

--Select  t.PHN_NBRR,
--		t.PHN_NBRU,
--		t.PHN_NBRC 
--From @t t
--INNER JOIN MDS_MNGD_ACT_NEW mngd ON t.EventID = mngd.EVENT_ID
--	WHERE	ISNUMERIC(ISNULL(t.PHN_NBRR,'')) = 1



UPDATE mngd
	SET mngd.PHN_NBR = t.PHN_NBRU,
		mngd.INTL_CTRY_CD = t.PHN_NBRC
	FROM @t t 
INNER JOIN MDS_MNGD_ACT_NEW mngd ON t.EventID = mngd.EVENT_ID
	WHERE	ISNUMERIC(ISNULL(t.PHN_NBRR,'')) = 1
	